Deleting a transfer
delete
Removes a transfer, deactivates its download page and frees up storage space used by this transfer (for all users who had this transfer in their sent folder or inbox). Information about new occupied storage space for current user is contained in the response.
Path parameters
transferidstringRequired
The transfer ID - unique transfer identifier. It is returned after initializing a transfer, also it is available in transfer list responses (sent and received).
Responses
200
OK
responsestatusstring · enumOptionalPossible values:
erroridstring · nullableOptional
errormessagestring · nullableOptional
errorcodeinteger · int32 · nullableRead-onlyOptional
Numeric representation of the responsestatus field.
400
Bad Request
401
Unauthorized
delete/transfer/{transferid}
DELETE /transfer/{transferid} HTTP/1.1
Host: api-public.filemail.com
Accept: */*
{
"responsestatus": "OK",
"errorid": "text",
"errormessage": "text",
"data": {
"storageinuse": 1
},
"errorcode": 1
}Last updated
Was this helpful?
